%define module urllib3

Summary:       Python HTTP library with thread-safe connection pooling, file post, and more
Name:          python-%{module}
Version:       1.9
Release:       %mkrel 1
Source0:       https://pypi.python.org/packages/source/u/%{module}/%{module}-%{version}.tar.xz
Patch0:        python-urllib3-unbundle.patch
License:       MIT
Group:         Development/Python
Url:           http://urllib3.readthedocs.org/
BuildArch:     noarch
BuildRequires: pkgconfig(python)
BuildRequires: python-setuptools
Requires:      rootcerts
Requires:      python-six
Requires:      python-backports-ssl_match_hostname

%description
There are two critical features missing from the Python standard
library: Connection re-using/pooling and file posting. It's not
terribly hard to implement these yourself, but it's much easier to use
a module that already did the work for you.

The Python standard libraries urllib and urllib2 have little to do
with each other. They were designed to be independent and standalone,
each solving a different scope of problems, and urllib3 follows in a
similar vein.

%package -n python3-%{module}
Summary:       Python 3 HTTP library with thread-safe connection pooling, file post, and more
Group:         Development/Python
BuildRequires: pkgconfig(python3)
BuildRequires: python3-setuptools
BuildRequires: python3-six
Requires:      rootcerts
Requires:      python3-six

%description -n python3-%{module}
There are two critical features missing from the Python standard
library: Connection re-using/pooling and file posting. It's not
terribly hard to implement these yourself, but it's much easier to use
a module that already did the work for you.

The Python standard libraries urllib and urllib2 have little to do
with each other. They were designed to be independent and standalone,
each solving a different scope of problems, and urllib3 follows in a
similar vein.

%prep
%setup -q -n %{module}-%{version}
%apply_patches

cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --skip-build --root %{buildroot}

# dummyserver is part of the unittest framework
rm -rf %{buildroot}%{python_sitelib}/dummyserver
# unbundle packages
#rm -rf %{buildroot}%{python_sitelib}/urllib3/packages/

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}

# dummyserver is part of the unittest framework
rm -rf %{buildroot}%{python3_sitelib}/dummyserver
# unbundle packages
#rm -rf %{buildroot}%{python3_sitelib}/urllib3/packages/
popd


%files
%doc CHANGES.rst LICENSE.txt README.rst CONTRIBUTORS.txt
%{python_sitelib}/*

%files -n python3-%{module}
%doc CHANGES.rst LICENSE.txt README.rst CONTRIBUTORS.txt
%{python3_sitelib}/*


%changelog
* Sat May 02 2015 bb <bb> 1.9-1pclos2015
- import from france
